aboutsummaryrefslogtreecommitdiff
path: root/scripts/util/croc.sh
diff options
context:
space:
mode:
authorben <ben@nagy.contact>2025-05-03 14:41:13 -0700
committerben <ben@nagy.contact>2025-05-03 14:41:13 -0700
commitea687c769521b3139c8547a2d4a839842fa7b0fe (patch)
treef4805588bb59ca15e96d8b71124c4aafd5dd40cb /scripts/util/croc.sh
parent16725b034eeb7122f4174f08221ab7f07b6abbf1 (diff)
added scripts
Diffstat (limited to 'scripts/util/croc.sh')
-rwxr-xr-xscripts/util/croc.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/scripts/util/croc.sh b/scripts/util/croc.sh
new file mode 100755
index 0000000..ae7efbd
--- /dev/null
+++ b/scripts/util/croc.sh
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+nmcli c show --active | grep -q "wg-mullvad" 2>>/dev/null && read -p "VPN is active. Contine? [Y/n] " ON || echo "VPN is off, aborting."; break ;
+
+case $ON in
+ [Yy]* ) croc $1;
+esac